POST /v1/actions/get-flow

Récupère un flow par id avec son nom, son type de trigger, son état de publication et son nombre de sessions cumulées.

Récupère un flow par id. Renvoie son nom, son type de trigger, son état de publication et son nombre de sessions cumulées.

POST /api/v1/actions/get-flow

Corps de la requête

Champ Type Requis
flow_id UUID oui
curl -X POST https://www.qyvo.io/api/v1/actions/get-flow \
  -H "Authorization: Bearer YOUR_TOKEN_HERE" \
  -H "Content-Type: application/json" \
  -d '{"flow_id": "01J3F..."}'
const flow = await fetch('https://www.qyvo.io/api/v1/actions/get-flow', {
  method: 'POST',
  headers: {
    Authorization: `Bearer ${process.env.QYVO_TOKEN}`,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({ flow_id: '01J3F...' }),
}).then((r) => r.json());
$flow = Http::withToken(env('QYVO_TOKEN'))
    ->post('https://www.qyvo.io/api/v1/actions/get-flow', [
        'flow_id' => '01J3F...',
    ])
    ->json();
import os, httpx
flow = httpx.post(
    'https://www.qyvo.io/api/v1/actions/get-flow',
    headers={'Authorization': f"Bearer {os.environ['QYVO_TOKEN']}"},
    json={'flow_id': '01J3F...'},
).json()

Réponse — 200 OK

{
  "id": "01J3F...",
  "name": "Abandoned cart 30min",
  "status": "published",
  "trigger_type": "shopify_cart_abandoned",
  "sessions_count": 4218,
  "published_at": "2026-04-15T10:32:00+00:00",
  "created_at": "2026-04-14T09:00:00+00:00"
}
Champ Valeurs
status draft (pas de published_at) ou published
trigger_type Ce qui déclenche le flow automatiquement : manual, shopify_cart_abandoned, shopify_order_placed, keyword, widget, webhook, …